<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: dynamics.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dynamics_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">dynamics.py File Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdynamics_1_1_dynamics.html">dynamics.Dynamics</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacedynamics"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html">dynamics</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a27f0ccb48966de89950481c9fb376eac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a27f0ccb48966de89950481c9fb376eac">dynamics.level</a></td></tr>
<tr class="separator:a27f0ccb48966de89950481c9fb376eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92c52a7ded9d56b5126bc8fd92cf5c1d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a92c52a7ded9d56b5126bc8fd92cf5c1d">dynamics.mu</a> = 3.986004e14</td></tr>
<tr class="separator:a92c52a7ded9d56b5126bc8fd92cf5c1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01bbf12f7a07e5e529dffe10581b913"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#aa01bbf12f7a07e5e529dffe10581b913">dynamics.r_earth</a> = 6378.14e3</td></tr>
<tr class="separator:aa01bbf12f7a07e5e529dffe10581b913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2119438381e64806742211c8eb4ded15"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a2119438381e64806742211c8eb4ded15">dynamics.n_orbits</a> = 0.1</td></tr>
<tr class="separator:a2119438381e64806742211c8eb4ded15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05c4303e190f991d6c4064bc280fa1b1"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a05c4303e190f991d6c4064bc280fa1b1">dynamics.delta_t</a> = 1.0</td></tr>
<tr class="separator:a05c4303e190f991d6c4064bc280fa1b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a699ef2e10342fa3093767c8aaa1f22e1"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a699ef2e10342fa3093767c8aaa1f22e1">dynamics.euler_init</a> = np.array([100, 0, 0]) * np.pi / 180.0</td></tr>
<tr class="separator:a699ef2e10342fa3093767c8aaa1f22e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b1072784cacc71dc1f5500357c8fbd"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a45b1072784cacc71dc1f5500357c8fbd">dynamics.w_initial</a> = np.array([50.0, 0.0, 0.0]) * np.pi / 180.0</td></tr>
<tr class="separator:a45b1072784cacc71dc1f5500357c8fbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a531f5e21ad26aa5e34d8540ea547574b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a531f5e21ad26aa5e34d8540ea547574b">dynamics.I_xx</a> = 0.5448</td></tr>
<tr class="separator:a531f5e21ad26aa5e34d8540ea547574b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac982197dac5e8787c0a7e54187fc005b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#ac982197dac5e8787c0a7e54187fc005b">dynamics.I_yy</a> = 2.4444</td></tr>
<tr class="separator:ac982197dac5e8787c0a7e54187fc005b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3112f267b01a76c4cde843d65519fe39"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a3112f267b01a76c4cde843d65519fe39">dynamics.I_zz</a> = 2.6052</td></tr>
<tr class="separator:a3112f267b01a76c4cde843d65519fe39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a7c49364360609636ecf400d8e393ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a0a7c49364360609636ecf400d8e393ca">dynamics.torque_initial</a> = np.array([0.0, 0.0, 0.0])</td></tr>
<tr class="separator:a0a7c49364360609636ecf400d8e393ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addcd2690b8e1895c0a9e32d99ca3b37f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#addcd2690b8e1895c0a9e32d99ca3b37f">dynamics.freq</a> = 1</td></tr>
<tr class="separator:addcd2690b8e1895c0a9e32d99ca3b37f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04f5df96bc463af8f42a206f5bbec1b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacedynamics.html#a04f5df96bc463af8f42a206f5bbec1b0">dynamics.dynamics</a></td></tr>
<tr class="separator:a04f5df96bc463af8f42a206f5bbec1b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dynamics_8py.html">dynamics.py</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
